/**Begin C:\PDM_UPGRADE\PDM1\PUR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_SPLITROW') 
 CREATE TABLE T_PUR_SPLITROW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBILLKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONCONFIG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PUR_SPLITROWENTRY') 
 CREATE TABLE T_PUR_SPLITROWENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCURRENTMETADATA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTMETADATAKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOPYROW CHAR(1) DEFAULT ' ' NOT NULL,
FSPLITROW CHAR(1) DEFAULT ' ' NOT NULL,
FDEFAULTROW CHAR(1) DEFAULT ' ' NOT NULL,
FDEFAULTVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\PUR_table.sql **/
